summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pablo Santamaria <pablosantamaria@gmail.com>2010-05-13 00:32:24 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-16 22:24:30 -0500
commit455e696cca2a316c0f4fee8e11975347c8a706ff (patch)
tree53d6e2f0e7029059ae7d07e59115da79452e6b74
parenta6458506fbde523a463812d15d6c68d73b307564 (diff)
downloadslackbuilds-455e696cca2a316c0f4fee8e11975347c8a706ff.tar.gz
slackbuilds-455e696cca2a316c0f4fee8e11975347c8a706ff.tar.xz
system/makepassword: Added (pseudorandom password generator).
-rw-r--r--system/makepasswd/README4
-rw-r--r--system/makepasswd/makepasswd.SlackBuild60
-rw-r--r--system/makepasswd/makepasswd.info10
-rw-r--r--system/makepasswd/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/system/makepasswd/README b/system/makepasswd/README
new file mode 100644
index 0000000..d708200
--- /dev/null
+++ b/system/makepasswd/README
@@ -0,0 +1,4 @@
+makepasswd (generate pseudo-random passwords of a desired length)
+
+Makepasswd generates pseudo-random passwords of a desired length.
+It is able to generate its crypted equivalent.
diff --git a/system/makepasswd/makepasswd.SlackBuild b/system/makepasswd/makepasswd.SlackBuild
new file mode 100644
index 0000000..3d74258
--- /dev/null
+++ b/system/makepasswd/makepasswd.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for makepasswd
+
+# Written by Pablo Santamaria (pablosantamaria@gmail.com)
+
+PRGNAM=makepasswd
+VERSION=${VERSION:-0.4.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS"
+make PREFIX=$PKG/usr install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/makepasswd/makepasswd.info b/system/makepasswd/makepasswd.info
new file mode 100644
index 0000000..26c2b06
--- /dev/null
+++ b/system/makepasswd/makepasswd.info
@@ -0,0 +1,10 @@
+PRGNAM="makepasswd"
+VERSION="0.4.2"
+HOMEPAGE="http://people.defora.org/~khorben/projects/makepasswd/"
+DOWNLOAD="http://people.defora.org/~khorben/projects/makepasswd/makepasswd-0.4.2.tar.gz"
+MD5SUM="ef95058753742d25f070628166d84815"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="rworkman"
diff --git a/system/makepasswd/slack-desc b/system/makepasswd/slack-desc
new file mode 100644
index 0000000..940cb51
--- /dev/null
+++ b/system/makepasswd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+makepasswd: makepasswd (generate pseudo-random passwords of a desired length)
+makepasswd:
+makepasswd: Makepasswd generates pseudo-random passwords of a desired length.
+makepasswd: It is able to generate its crypted equivalent.
+makepasswd:
+makepasswd:
+makepasswd:
+makepasswd:
+makepasswd:
+makepasswd:
+makepasswd: